#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

typedef int cle;
typedef struct _node {
    cle key;
    struct _node *gauche;
    struct _node *droite;
} node;
typedef node *arbre;

arbre search(cle X, arbre tree) {
    bool success  = false;
    arbre courant = tree;
    while (NULL != courant && !success) {
        if (courant->key > X) {
            courant = courant->gauche;
        } else if (courant->key < X) {
            courant = courant->droite;
        } else {
            success = true;
        }
    }
    return courant;
}

void main() {
    arbre tree;
    arbre t = search(15, tree);
}
